Program

' '***********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 06/04/04
' File Name	: AppendFile.bas
' Description	: Appends a copy of the source file to the end of thedestination file with the option to rewind some bytes before appending.
' Format 	: AppendFile <Source> <Destination> <RewindBytes>
' Remarks       : File names with paths require double backslahes.  
'		  RewinbdBytes = the number of bytes to rewind from the end of the destination file before appending the source file.
'		  this test script append file c:\Program Files\CALLMaster\PMT\10\660tone.vox to c:\Program Files\CALLMaster\PMT\10\2. (also a vox format file
' '***********************************************************************************************
	
	Print "AppendFile Script started"

	playbackposition = 0

	source = "C:\\Program Files\\CALLMaster\\PMT\\10\\660tone.vox"
	dest = "C:\\Program Files\\CALLMaster\\PMT\\10\\2.vox "
	rewindbytes = 3000
	
	AppendFile source dest rewindbytes 

	Print "Playbackposition is "
	
	PrintNL playbackposition

EndProgram
