Program


' ***********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 10/24/00
' File Name	: CreateDateTimeKey.bas
' Description	: CreateDateTime key for Plant record retrieval.
' ***********************************************************************************************



	CurrDate = $today
	Print "$today = "
	PrintNL $today
	GetDate CurrDate intcurrmm intcurrday intcurryear intcurrhour intcurrmin intcurrsec

	IntegerToString currmm intcurrmm
	IntegerToString currday intcurrday
	IntegerToString curryear intcurryear

	If intcurrhour > 12 Then
	   clockhour = intcurrhour - 12
	   IntegerToString currhour clockhour
	   clockAMPM = "PM"
	Else
	   If intcurrhour = 12 Then
	      IntegerToString currhour intcurrhour
	      clockAMPM = "PM"
	   Else
	      IntegerToString currhour intcurrhour
	      clockAMPM = "AM"
	   EndIf
	EndIf
	

	IntegerToString currmin intcurrmin
	IntegerToString currsec intcurrsec

' If reading from MS Access table then the date field needs to be encompassed with the # key (#9/9/2002 12:31:15 PM#)
' If reading from SQL table then the date field needs to be encompassed with the ' key ('9/9/2002 12:31:15 PM')
' If reading from Oracle table then the date field needs to be encompassed with the format ({d '2005-03-30'}).  
' In the Select/Update etc concatenate statements for Access and Oracle, variable should be treated like integer value WITHOUT the quotes

	DateToday = "'" & currmm
	DateToday = DateToday & "/"
	DateToday = DateToday & currday
	DateToday = DateToday & "/"
	DateToday = DateToday & curryear
	DateToday = DateToday & " "
	DateToday = DateToday & currhour
	DateToday = DateToday & ":"
	DateToday = DateToday & currmin
	DateToday = DateToday & ":"
	DateToday = DateToday & currsec
	DateToday = DateToday & " "
	DateToday = DateToday & clockAMPM
	DateToday = DateToday & "'"

	Print "DateToday is "
	PrintNL DateToday
	

EndProgram
