Program

' 
'**********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 06/14/00
' File Name	: GetNextMsg.bas
' Description	: Get next message.  
'		  This script is executed in conjunction with the GetFirstMsg.bas
' 
'*********************************************************************************************



' If the record exists then save field values in local variables for processing in Module 2100

     If MsgvarSet.EOF = 0 Then

    	Set MsgvarF1 = MsgvarFields.Field 1
    	Set MsgvarF2 = MsgvarFields.Field 2
    	Set MsgvarF8 = MsgvarFields.Field 8

        ' Assign values to variables
        MsgMatchExists = Yes
    	SpeechFile = MsgvarF8.Value


	' Free memory
    	Set MsgvarF1 = Nothing
    	Set MsgvarF2 = Nothing
    	Set MsgvarF8 = Nothing

	' Set-up to Get Next Record
	MsgvarSet.MoveNext

	Return 2100

' else close database and return to 2400 to tell caller no more messages
    Else
        MsgMatchExists = No
	PrintNL "Match does not exist"
	
	' Free MsgDB varSet, varFields, and close database
	' Free memory
    	Set MsgvarF1 = Nothing
    	Set MsgvarF2 = Nothing
    	Set MsgvarF8 = Nothing

	' Destroy Fields Object
    	Set MsgvarFields = Nothing


	' Close recordset
    	MsgvarSet.Close

	' Free memory
    	Set MsgvarSet = Nothing

	' MsgDB database closed

	PrintNL "MsgDB Closed.  Return to 2400"

	Return 2400

    EndIf



EndProgram
