Program

' '********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 07/10/00
' File Name	: Record-Play-PlayFileName-FileDelete.bas
' Description	: Examples of recording a file, playing back recorded file, 
' 		  renaming fileid to full path name, deleting a file.
' '*********************************************************************************************

' Initialize variables
	Prompt = 100
	RecTime = 60
	t = "*"
	a = ""
	recfileid = 0


'1)Example of Record Command
' Plays prompt 100 (Press * to stop recording) to instruct caller, Then.
' Records file and places speechfile id in integer variable recfileid.  

	Record recfileid Prompt RecTime a t e d
	Print "recfileid = "
	PrintNL recfileid

	playbackposition = 0

'2)Examples of Play Command
' Plays back recorded file using speechfile id value.
	Play recfileid c d
	playbackposition = 0

' Another example of Play command.  Plays prompt 100 per the variable initialization.
	Play Prompt c d
	playbackposition = 0


'3)Example of FileIDToName Command
' Renames speechfile id from integer to full name with folder path.  
' This is required if you wish to rename or delete speechfiles
	FileIDToName newname recfileid
	Print "newname = "
	PrintNL newname


'4)Example of PlayFileName Command
' Plays back renamed file using full path name.
	PlayFileName newname c d
	playbackposition = 0


'5)Example of FileRename Command

'  Setup full name for current recording number
'  Make sure that folders used in selected name exist
	RecFilePath = "C:\Program Files\CallMASTER\PMT\"
	RecFileName = "RenamedFile.wav"

'  Create new file name with full path
	RenamedFile = RecFilePath & RecFileName

' Renames file to user selected name
	FileRename newname RenamedFile

	PlayFileName RenamedFile c d
	Print "RenameFile is "
	PrintNL RenamedFile
	playbackposition = 0


'6)Example of FileDelete Command
' Deletes file using full path name.
	FileDelete newname


EndProgram
