Program

' '**********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 12/216/99
' File Name	: GetInteger-IntegerToString.bas
' Description	: Example of GetInteger and the IntegerToString commands.
'		  This example shows how to take a string variable and convert to an integer 
'	  	  variable using the GetInteger command.
'		  It also shows how to take an Integer variable and convert to a string
'	  	  variable using the IntegerToString command.
'
'**********************************************************************************************


'GetInteger assigns to a destination variable the integer value of a source string variable 
' starting from a specific position (counting from zero) 
' The destination variable is a integer value.

	PrintNL "GetInteger test"

	strvar = "1234956789.995"
	pos = 4


	GetInteger intvar strvar pos

	Print "Destination Integer number is "
	Print intvar

' This will print "Destination Integer number is 956789"


'IntegerToString converts the value of a source Integer variable from the above example to a string variable  


	PrintNL "IntegerToString test"

	strvar2 = ""

		
	IntegerToString strvar2 intvar

	Print "Destination string number is "
	Print strvar2

' This will print "Destination string number is 956789"


EndProgram
