Program
' '**********************************************************************************************
' 
' File Type	: CallMaster script file by SpeechSoft, Inc. 10/24/00
' File Name	: Outdial Voice Fax AnswerMachine.bas
' Description	: For Outbound Dialing check connect type and 
'		  return to appropriate module for processing.
' 		  Read Chapter 8 - Out Dial and Notification for detail set-up
'
' For Human and Answering Machine distinction set parameters as follows:
'	Dialogic Parameters -   NBRDNA  to 8
'				HEDGE to Detect on TRAILING Edge
'				INTFLG to 7
'				PAMDFAILTIME to 10
'
'	System Parameters -     Record Max Silence  to 3
'**********************************************************************************************


' Set variables for recording
	Prompt = 0
	RecTime = 60
	t = "0"
	a = ""

	'Print "Call result:"
	'PrintNL $cr
	'Print "Connection type:"
	'PrintNL $contype

'  Call Connected
	If $cr = 10 Then
	' Human Voice connection
		If $contype < 4 Then
		'Human Voice
			Return 200
		Else
		'Answering machine - record blank file for 60 seconds or till greeting ends
		'End of Greeting is set by System Parameter "Record Max Silence"
			Record recfileid Prompt RecTime a t e d
			FileIDToName destname recfileid
			FileDelete destname
			Return 300
		EndIf
	Else
	'Fax call
		If $cr = 18 Then
			Return 500
		Else
			Return 600
		EndIf
	EndIf


EndProgram
