Program
' '**********************************************************************************************
' 
' File Type	: CallMaster script file by SpeechSoft, Inc. 4-18-01
' File Name	: SAPITTSTest.bas
' Description	: Demonstrates SAPI Text To Speech.
' '**********************************************************************************************

' Syntax: Speak <text> <type>;    
'         Where <text> is a variable with a string to be spoken or a full path\filename, 
'               <type> is a variable containing either the string "TEXT" or "FILE" 
'                      indicating the value of what the first parameter represents.

' Example 1
	type = "TEXT"
	' Using the default voice
	saythis = "Hello from Speech Soft CallMaster. You are hearing a sample of text to speech with the Microsoft SAPI speech engine using the Speak Text option and default Voice."
	PrintNL saythis
	Speak saythis type

	' The next set of lines change the voice to a female voice
	saythis = "<voice required=" & $DQuote
	saythis = saythis & "Gender=Female;Age!=Child"
	saythis = saythis & $DQuote
	saythis = saythis & "> Hello from Speech Soft CallMaster. You are hearing a sample of a female text to speech voice with the Microsoft SAPI speech engine using the Speak Text option."
	PrintNL saythis
	Speak saythis type


	' The next set of lines are used to select a specific voice from the SAPI voice folder
	TexttoSpeak = "Hello from Speech Soft CallMaster. You are hearing a sample of Microsoft Sam's text to speech voice with the Microsoft SAPI speech engine using the Speak Text option."
	saythis = "<voice required=" & $DQuote
	saythis = saythis & "Name=Microsoft Sam"
	saythis = saythis & $DQuote
	saythis = saythis & "> "
	saythis = saythis & TexttoSpeak
	PrintNL saythis
	Speak saythis type





'Example 2
'	sayfile = "c:\program files\callmaster\speechfiles\filename"
'	type = "FILE"
'	PrintNL sayfile
'	Speak sayfile type


EndProgram
