Program

' *******************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 5/25/02
' File Name	: SlaveTest.bas
' Description	: Make a call on another line
' *******************************************************************************************

   PrintNL "SlaveTest test Script"

   slaveport = "3"
	' slaveport returns with the enslaved port.  Port 0 means any free port,  a range eg "2-7" can be used

   slavehandle = 0
	' The name "slavehandle" is key to controling a slave channel.  If that variable exists then the value it contains is used to 
	' control the slave channel.
	' slavehandle must be zero to request to enslave a port.  It returns a valid non zero handle to be used for future telephony calls
	' Non Zero if successfull so you can test it was successful or not.

   Enslave slaveport slavehandle 

   Print "Enslaved port: "
   Print slaveport
   Print " Slave handle: "
   PrintNL slavehandle

   Print "SetHook going off hook"
   hookstate = "OFFHOOK"
   SetHook hookstate 

	' Collect the "CAR," "Event block," and "Data block", use data block for analysis

    c = 0
    e = 0
    d = 0
  
    Call "103" c e d
  	
	' d = 7-busy, 8-no answer, 9-noringaback, 10-connect

   Print "Call Result = "
   PrintNL d

   PrintNL "SlaveTest Script Done"

   Print "SetHook going onhook"
   hookstate = "ONHOOK"
   SetHook hookstate 

   Print "Releasing port: "
   PrintNL slaveport
   Enslave slaveport slavehandle 
	' Enslaved called with valid port# and 
	' matching Handle obtained by a prior Enslave call will Release the slave

   Print "Enslaved Released port: "
   PrintNL slaveport
   Print " Slave handle: "
   PrintNL slavehandle

   RemoveVar slavehandle
	' undefine the variable "slavehandle" to remove reference to a slave channel for future board calls

   PrintNL "SlaveTest Script Done."

EndProgram
