Program

' '********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 06/21/04
' File Name	: Transcribe.bas
' Format	: Transcribe.bas <AudioFileName> <Text> <Type> 	
'			FileName - is name of file with path that has the recording
'			Text	 - should be set to nulls to get back transcribed textas variable value if the Type parameter is set to TEXT; 
'				 - should be set to file name to get back transcribed text in the file if the Type parameter is set to FILE; 
'			Type	 - TEXT|FILE where TEXT means the prior variable will contain the words transcribed, FILE points to the file name assigned to the TEXT parameter to receive the transcribed words
' Description	: transcribes words from recorded file into a variable or ASCII file.
' '*********************************************************************************************

	Print "Transcribe Test Script started"

' Initialize variables
	Prompt = 100
	RecTime = 180
	t = "*"
	a = ""
	recfileid = 0


' Plays prompt 100 (Press * to stop recording) to instruct caller, Then.
' Records file and places speechfile id in integer variable recfileid.  

	Record recfileid Prompt RecTime a t e d
	Print "Recorded fileID is "
	Print recfileid

' Now setup for recognition of the recorded file

	FileIDToName AudioFileName recfileid
	Text = ""
	ASRType = "TEXT"

'Recognize The words in the Text field if they were spoken

	Transcribe AudioFileName Text ASRType 

	ptext = "Transcribed words are: " & Text
	Print ptext

'Rename recording
	newfile = "C:\Program Files\Callmaster\SRAudioArchive\"
	newfile = newfile & "Transcribed - "
	newfile = newfile & Text
	newfile = newfile & ".wav"

	ptext = "Renaming audio file to " & newfile
	Print ptext

	FileRename AudioFileName newfile	
EndProgram
